Bug 14996 - casinh, casin spurious overflows
Summary: casinh, casin spurious overflows
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: math (show other bugs)
Version: 2.16
: P2 normal
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-04 23:56 UTC by Joseph Myers
Modified: 2014-06-13 19:08 UTC (History)
0 users

See Also:
Host:
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph Myers 2013-01-04 23:56:14 UTC
casinh (and so casin, which calls casinh) suffers spurious overflows on large arguments from internal calculations.  E.g., on x86_64, casinh (0x1.fp1023 + 0x1.fp1023i) raises spurious INVALID and OVERFLOW exceptions and returns a result that wrongly has infinite real part.
Comment 1 Joseph Myers 2013-01-07 15:02:14 UTC
Fixed for 2.18 by:

commit a9708fed779ff4e61e07ec2eae78e5c0753e1222
Author: Joseph Myers <joseph@codesourcery.com>
Date:   Mon Jan 7 14:59:53 2013 +0000

    Fix casinh, casin overflow (bug 14996).